CONDOR_MASTER(1)

NAME
condor_master - HTCondor Manual

The master HTCondor Daemon

SYNOPSIS

condor_master

DESCRIPTION

This daemon is responsible for keeping all the rest of the HTCondor daemons running on each machine in your pool. It spawns the other daemons, and periodically checks to see if there are new binaries installed for any of them. If there are, the condor_master will restart the affected daemons. In addition, if any daemon crashes, the condor_master will send e-mail to the HTCondor Administrator of your pool and restart the daemon. The condor_master also supports various administrative commands that let you start, stop or reconfigure daemons remotely. The condor_master will run on every machine in your HTCondor pool, regardless of what functions each machine are performing. Additionally, on Linux platforms, if you start the condor_master as root, it will tune (but never decrease) certain kernel parameters important to HTCondor's performance.

The DAEMON_LIST configuration macro is used by the condor_master to provide a per-machine list of daemons that should be started and kept running. For daemons that are specified in the DC_DAEMON_LIST configuration macro, the condor_master daemon will spawn them automatically appending a -f argument. For those listed in DAEMON_LIST, but not in DC_DAEMON_LIST, there will be no -f argument.

The condor_master creates certain directories necessary for its proper functioning on start-up if they don't already exist, using the values of the configuration settings EXECUTE, LOCAL_DIR, LOCAL_DISK_LOCK_DIR, LOCAL_UNIV_EXECUTE, LOCK, LOG, RUN, SEC_CREDENTIAL_DIRECTORY_KRB, SEC_CREDENTIAL_DIRECTORY_OAUTH, SEC_PASSWORD_DIRECTORY, SEC_TOKEN_SYSTEM_DIRECTORY, and SPOOL.

OPTIONS

-n name
    Provides an alternate name for the condor_master to override that given by the MASTER_NAME configuration variable.

AUTHOR
HTCondor Team

COPYRIGHT
1990-2025, Center for High Throughput Computing, Computer Sciences Department, University of Wisconsin-Madison, Madison, WI, US. Licensed under the Apache License, Version 2.0.